Package com.independentsoft.office.word.drawing

# Class EffectExtent

java.lang.Object
com.independentsoft.office.word.drawing.EffectExtent

public class EffectExtent extends Object
The Class EffectExtent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EffectExtent()`
  Instantiates a new effect extent.
  `EffectExtent​(long top, long bottom, long left, long right)`
  Instantiates a new effect extent.
  `EffectExtent​(Unit top, Unit bottom, Unit left, Unit right)`
  Instantiates a new effect extent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EffectExtent`
  `clone()`
  `Unit`
  `getBottom()`
  Gets the bottom.
  `Unit`
  `getLeft()`
  Gets the left.
  `Unit`
  `getRight()`
  Gets the right.
  `Unit`
  `getTop()`
  Gets the top.
  `void`
  `setBottom​(Unit bottom)`
  Sets the bottom.
  `void`
  `setLeft​(Unit left)`
  Sets the left.
  `void`
  `setRight​(Unit right)`
  Sets the right.
  `void`
  `setTop​(Unit top)`
  Sets the top.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EffectExtent

    public EffectExtent()
    Instantiates a new effect extent.

  - ### EffectExtent

    public EffectExtent​(long top, long bottom, long left, long right)
    Instantiates a new effect extent.
    Parameters:
      `top` - the top
      `bottom` - the bottom
      `left` - the left
      `right` - the right

  - ### EffectExtent

    public EffectExtent​(Unit top, Unit bottom, Unit left, Unit right)
    Instantiates a new effect extent.
    Parameters:
      `top` - the top
      `bottom` - the bottom
      `left` - the left
      `right` - the right

- ## Method Details

  - ### clone

    public EffectExtent clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBottom

    public Unit getBottom()
    Gets the bottom.
    Returns:
      the bottom

  - ### setBottom

    public void setBottom​(Unit bottom)
    Sets the bottom.
    Parameters:
      `bottom` - the new bottom

  - ### getTop

    public Unit getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(Unit top)
    Sets the top.
    Parameters:
      `top` - the new top

  - ### getLeft

    public Unit getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(Unit left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getRight

    public Unit getRight()
    Gets the right.
    Returns:
      the right

  - ### setRight

    public void setRight​(Unit right)
    Sets the right.
    Parameters:
      `right` - the new right